Skip to main content
GET
List memory for an Agent

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Path Parameters

agentId
string
required

Query Parameters

ownerType
enum<string>

Filter by memory owner type.

Available options:
USER,
AGENT,
WORKSPACE,
INSTANCE,
SHARED
Example:

"AGENT"

ownerId
string<uuid>

Filter by owner id for USER, AGENT, or WORKSPACE memory.

Example:

"11111111-1111-4111-8111-111111111111"

kind
enum<string>

Filter by one memory kind.

Available options:
preference,
fact,
episode
Example:

"fact"

refToken
string

Filter by an exact canonical Revo ref token.

Maximum string length: 512
Example:

"[COMPONENTS/11111111-1111-4111-8111-111111111111](InvoiceSync)"

tag
string

Filter by one normalized memory tag.

Maximum string length: 80
Example:

"billing"

take
number
default:50

Maximum number of records to return.

Required range: 1 <= x <= 200
Example:

25

Response

200 - undefined
Last modified on September 5, 2026